Subject: bug#43209: 27.1; rectangle-mark-mode does not activate region if transient mark mode disabled

From: Allen Li <[email-masked]>
Date: Sat, 05 Sep 2020 15:25:31 -0700

Drew Adams <[email-masked]> writes:

> I agree that `rectangle-mark-mode' requires
> `transient-mark-mode' to be on.  But only as
> long as `rectangle-mark-mode' is on, i.e.,
> only as long as the region is active.
>
> After that, the previous state of
> `transient-mark-mode' (on or off) should be
> restored.
>
> "Active region" has no meaning outside of
> `transient-mark-mode'.  Anything, including
> `rectangle-mark-mode', that requires the
> notion (and behavior - e.g. highlighting) of
> the "active region" needs `transient-mark-mode'
> to be on (for the duration of that need).

Sure.  I refer to "active region with transient transient-mark-mode" as
just "active region" for brevity.  Basically, I'm saying that C-x SPC
should do the same thing C-SPC C-SPC does when the user has set
transient-mark-mode to nil in their config.

The point of this bug is that C-x SPC does not activate the region (or
does not transiently enable transient-mark-mode and then activate the
region, if you prefer).